Issue 107171

Summary: Crash after use of insertTextContentBefore/After
Product: Writer Reporter: Oliver Specht <os_ooo>
Component: programmingAssignee: joerg.skottke
Status: VERIFIED FIXED QA Contact: issues <>
Severity: Trivial    
Priority: P2 CC: issues,
Version: DEV300m64Keywords: regression
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Oliver Specht 2009-11-24 14:33:54 UTC
Create a new text document and insert a table.
Then execute the following Basic macro

Sub Main
xtable = thiscomponent.gettexttables.getbyindex(0)
xpara = thiscomponent.createInstance("")
thiscomponent.gettext.inserttextcontentbefore(xpara, xtable)
print xpara.getstring
End Sub

 -> crash
Comment 1 Oliver Specht 2009-11-24 14:34:20 UTC
target set
Comment 2 2010-01-11 13:29:10 UTC
fixed in CWS swunolocking1.
Comment 3 2010-01-11 13:33:13 UTC
please verify
Comment 4 2010-01-11 13:53:02 UTC
Comment 5 stefan.baltzer 2010-01-26 09:32:24 UTC
Verified in CWS swunolocking1.